document.addEventListener('DOMContentLoaded', function() {
    const calculateBtn = document.getElementById('calculateBtn');
    const resultDiv = document.getElementById('result');

    calculateBtn.addEventListener('click', function() {
        const initial = parseFloat(document.getElementById('initialInvestment').value) || 0;
        const monthly = parseFloat(document.getElementById('monthlyContribution').value) || 0;
        const years = parseFloat(document.getElementById('years').value) || 0;
        const annualRate = 0.08; // 8% annual return

        const monthlyRate = annualRate / 12;
        const months = years * 12;
        
        let total = initial;
        for (let i = 0; i < months; i++) {
            total += monthly;
            total *= (1 + monthlyRate);
        }

        resultDiv.innerHTML = `
            <h3>Projected Wealth</h3>
            <p>$${total.toFixed(2).replace(/\B(?=(\d{3})+(?!\d))/g, ",")}</p>
        `;
        
        resultDiv.style.opacity = 0;
        setTimeout(() => {
            resultDiv.style.opacity = 1;
        }, 100);
    });

    // Smooth scroll for navigation
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});